﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

/* BASIC */

html {
    background-color: #56baed;
}

body {
    font-family: "source sans pro light", sans-serif;
    height: 100vh;
}

a {
    color: #92badd;
    display: inline-block;
    text-decoration: none;
    font-weight: 400;
}

h2 {
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    text-transform: uppercase;
    display: inline-block;
    margin: 40px 8px 10px 8px;
    color: #cccccc;
}

/* STRUCTURE */

.wrapper {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    min-height: 100%;
    padding: 20px;
}

#formContent {
    -webkit-border-radius: 10px 10px 10px 10px;
    border-radius: 10px 10px 10px 10px;
    background: #fff;
    padding: 30px;
    /*width: 90%;*/
    max-width: 500px;
    position: relative;
    -webkit-box-shadow: 0 30px 60px 0 rgba(0,0,0,0.3);
    box-shadow: 0 30px 60px 0 rgba(0,0,0,0.3);
    text-align: center;
}

#formFooter {
    background-color: #f6f6f6;
    border-top: 1px solid #dce8f1;
    padding: 25px;
    text-align: center;
    -webkit-border-radius: 0 0 10px 10px;
    border-radius: 0 0 10px 10px;
}

.inputField {
    text-align: right;
    margin-bottom: 5px;
}

    .inputField .loginInput, label {
        width: 280px;
        text-align: left;
        padding: 6px 32px;
    }

    .inputField label {
        font-weight: bold;
    }

/* TABS */

h2.inactive {
    color: #cccccc;
}

h2.active {
    color: #0d0d0d;
    border-bottom: 2px solid #5fbae9;
}

/* FORM TYPOGRAPHY*/

input[type=button], input[type=submit], input[type=reset] {
    background-color: #56baed;
    border: none;
    color: white;
    padding: 15px 80px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    text-transform: uppercase;
    font-size: 13px;
    -webkit-box-shadow: 0 10px 30px 0 rgba(95,186,233,0.4);
    box-shadow: 0 10px 30px 0 rgba(95,186,233,0.4);
    -webkit-border-radius: 5px 5px 5px 5px;
    border-radius: 5px 5px 5px 5px;
    margin: 5px 20px 40px 20px;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

    input[type=button]:hover, input[type=submit]:hover, input[type=reset]:hover {
        background-color: #39ace7;
    }

    input[type=button]:active, input[type=submit]:active, input[type=reset]:active {
        -moz-transform: scale(0.95);
        -webkit-transform: scale(0.95);
        -o-transform: scale(0.95);
        -ms-transform: scale(0.95);
        transform: scale(0.95);
    }

.loginInput {
    background-color: #f6f6f6;
    border: none;
    color: #0d0d0d;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 5px;
    width: 85%;
    border: 2px solid #f6f6f6;
    -webkit-transition: all 0.5s ease-in-out;
    -moz-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    -o-transition: all 0.5s ease-in-out;
    transition: all 0.5s ease-in-out;
    -webkit-border-radius: 5px 5px 5px 5px;
    border-radius: 5px 5px 5px 5px;
}

.property-type-button {
    text-decoration: none;
    font-size:1.2rem;
    margin-right:1rem;
}
    .property-type-button:hover {
        text-decoration: none;
        color: #92badd;
    }
    .property-type-button.active {
        border-bottom: 1px solid #FF6601;
        color: #FF6601
    }

.loginInput:focus {
    background-color: #fff;
    border-bottom: 2px solid #5fbae9;
}

.loginInput:placeholder {
    color: #cccccc;
}

/* ANIMATIONS */

/* Simple CSS3 Fade-in-down Animation */
.fadeInDown {
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@-webkit-keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }

    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

#spinner {
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 20rem;
    height: 20rem;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 1s linear infinite;
    position: fixed;
    top: 39%;
    left: 39%;
    display: none;
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }

    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

/* Simple CSS3 Fade-in Animation */
@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-moz-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.fadeIn {
    opacity: 0;
    -webkit-animation: fadeIn ease-in 1;
    -moz-animation: fadeIn ease-in 1;
    animation: fadeIn ease-in 1;
    -webkit-animation-fill-mode: forwards;
    -moz-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    -webkit-animation-duration: 1s;
    -moz-animation-duration: 1s;
    animation-duration: 1s;
}

    .fadeIn.first {
        -webkit-animation-delay: 0.4s;
        -moz-animation-delay: 0.4s;
        animation-delay: 0.4s;
    }

    .fadeIn.second {
        -webkit-animation-delay: 0.6s;
        -moz-animation-delay: 0.6s;
        animation-delay: 0.6s;
    }

    .fadeIn.third {
        -webkit-animation-delay: 0.8s;
        -moz-animation-delay: 0.8s;
        animation-delay: 0.8s;
    }

    .fadeIn.fourth {
        -webkit-animation-delay: 1s;
        -moz-animation-delay: 1s;
        animation-delay: 1s;
    }

/* Simple CSS3 Fade-in Animation */
.underlineHover:after {
    display: block;
    left: 0;
    bottom: -10px;
    width: 0;
    height: 2px;
    background-color: #56baed;
    content: "";
    transition: width 0.2s;
}

.underlineHover:hover {
    color: #0d0d0d;
}

    .underlineHover:hover:after {
        width: 100%;
    }

/* OTHERS */

*:focus {
    outline: none;
}

#icon {
    width: 60%;
}

.lists {
    position: relative;
    display: inline-block
}

.list_one {
    float: left;
}

.list_two {
    position: relative;
    float: right;
}

.header-name {
    color: #FF6601 !important;
    font-weight: bolder;
}

.btn-avalara-orange {
    background-color: #FF6601;
    color: white;
    font-weight: bolder;
    margin: 0px 5px 0px 5px;
}

    .btn-avalara-orange:hover {
        background-color: #b94a00;
        color: white;
        margin: 0px 5px 0px 5px;
    }

    .btn-avalara-orange:focus {
        background-color: #b94a00;
        outline: 0;
        box-shadow: inset 0 0 0 0.15rem white;
    }

.btn-avalara-black {
    min-width: 3rem;
    border: 1px solid white;
    background-color: #027fad;
    color: white;
    font-weight: bolder;
    margin: 0px 5px 0px 5px;
    font-size: 18px;
    vertical-align: middle;
}

    .btn-avalara-black:hover {
        border: 1px solid white;
        background-color: #027fad;
        color: white;
        font-weight: bolder;
        margin: 0px 5px 0px 5px;
        font-size: 18px;
        vertical-align: middle;
    }

.btn-avalara-inverted-orange {
    border: 1px solid #FF6601;
    background-color: white;
    color: black;
    font-weight: bolder;
}

.left-align {
    margin-left: 0;
}

    .left-align:hover {
        margin-left: 0;
    }

    .left-align:focus {
        margin-left: 0;
    }

.btn-avalara-inverted-orange:hover {
    background-color: #FF6601;
    color: white;
}

.btn-avalara-blue {
    border: 1px solid transparent;
    background-color: #0c7bab;
    margin: 0px 5px 0px 5px;
    color: white;
    font-weight: bolder;
    border: 1px solid #014f70;
}
.logs-table{
    overflow-wrap:break-word;
    table-layout:fixed;
}
p, span, .table, tr, td {
    color: #1A1A1A !important;
    text-align: center;
}

tbody {
    text-align: center;
}

.modal-open .container-fluid, .modal-open .container {
    -webkit-filter: blur(5px) grayscale(90%);
    filter: blur(5px) grayscale(90%);
    pointer-events: none;
}

.modal-footer {
    align-self: center;
}

.btn-avalara-blue:hover {
    background-color: #015f87;
    margin: 0px 5px 0px 5px;
    color: white;
    font-weight: bolder;
    border: 1px solid #014f70;
}

.btn-avalara-blue:focus {
    background-color: #0c7bab;
    outline: 0;
    box-shadow: inset 0 0 0 0.15rem white;
}

.btn-avalara-blue:active {
    background-color: #014f70;
}

.btn-avalara-blue.active {
    background-color: #014f70;
}

.avalara-logo {
    width: 6rem;
    margin-right: 2rem;
}

@font-face {
    font-family: 'SourceSansPro';
    src: url('../fonts/SourceSansPro-Regular.ttf') format("truetype");
}

.centered {
    position: fixed;
    top: 50%;
    left: 50%;
    /* bring your own prefixes */
    transform: translate(-50%, -50%);
}

body {
    font-family: "Source Sans Pro",sans-serif !important;
}

.btn-avalara-underline {
    color: #1A1A1A;
}

    .btn-avalara-underline:hover {
        color: #FF6601 !important;
        text-decoration: underline;
    }

.btn:disabled {
    background-color: #cccccc;
}

.page-header {
    color: #1A1A1A;
    font-weight: normal;
    text-transform: uppercase;
    font-size: 20px;
}

.body-el {
    -webkit-filter: blur(5px) grayscale(90%);
    filter: blur(5px) grayscale(90%);
    pointer-events: none;
}

.brkall {
    word-break: break-word;
    width: 150px;
}

.brkallbtn {
    width: 150px;
}

.body-content {
    width: 100%;
}

.highlight {
    background-color: #FFF5CC;
}
